firefox installation Hi NG!
I just emerged firefox 0.8 (mozilla-firefox). It compiled fine, but when I
start the browser I get the following error:
/usr/bin/firefox: line 106: /firefox: Datei oder Verzeichnis nicht gefunden
Take a look at /usr/bin/firefox :
cat -n /usr/bin/firefox
1 #!/bin/bash
2 #
3 # Copyright 1999-2004 Gentoo Technologies, Inc.
4 # Distributed under the terms of the GNU General Public License, v2
or later
5 #
$Header: /home/cvsroot/gentoo-x86/net-www/mozilla-firefox/files/firefox,v
1.2 2004/02/15 01:41:04 agriffis Exp $
6
7 # Set MOZILLA_NEWTYPE to "window" in your environment if you prefer
8 # new Firefox windows instead of new tabs
9 newtype=${MOZILLA_NEWTYPE:-"tab"}
10
11 # Point this to your Firefox installation if not using the default
12 export MOZILLA_FIVE_HOME="/usr/lib/MozillaFirefox"
13 ffpath=${MOZILLA_FIVE_HOME}
14
15 # Sanity check
16 if [[ -z $DISPLAY ]]; then
17 echo "DISPLAY is unset!" >&2
18 exit 1
19 fi
20
21 # Validate the args and extract the urls
22 args=()
23 urls=()
24 while [[ $# -ne 0 ]] ; do
25 if [[ $1 == -* ]] ; then
26 case "${1#-}" in
27 height|width|CreateProfile|P|UILocale|contentLocal e|remote
edit|chrome)
28 args=("${args[@]}" "$1" "$2")
29 shift 2 ;;
30 *)
31 args=("${args[@]}" "$1")
32 shift 1 ;;
33 esac
34 else
35 urls=("${urls[@]}" $1)
36 shift
37 fi
38 done
39
40 # Try to start in an existing session; check all screens
41 declare -a screens=(
42 $(/usr/X11R6/bin/xdpyinfo | awk '
43 /^name of display:/ {
44 disp = substr($NF, 0, index($NF, ".")-1)
45 }
46 /^number of screens:/ {
47 for (i = 0; i < $NF; i++) printf("%s.%d\n", disp, i)
48 }')
49 )
50
51 # Attempt to fix bug 39797 by making sure MozillaFirefox is running
52 # on the DISPLAY prior to calling mozilla-xremote-client. The
53 # problem here is that mozilla-xremote-client will return a zero
54 # exit status if it contacts a Thunderbird-0.3 instance, even though
55 # Thunderbird can't handle the openURL request. :-(
56 #
57 # Note: This seems to be fixed with Thunderbird-0.4, which rejects
the
58 # openURL request appropriately.
59 declare -a candidates=()
60 for s in $DISPLAY "${screens[@]}"; do
61 if DISPLAY=${s} xwininfo -root -tree | grep -q 'firefox-bin'; then
62 candidates=("${candidates[@]}" ${s})
63 fi
64 done
65
66 # Make sure we'll get at least an empty window/tab
67 [[ ${#urls[@]} == 0 ]] && urls=('')
68
69 # Handle multiple URLs by looping over the xremote call
70 for u in "${urls[@]}"; do
71
72 # prepend http:// if needed
73 [[ $u == ? && $u != *:* ]] && u=http://$u
74
75 # try mozila-xremote-client on each candidate screen
76 if [[ ${#candidates[@]} > 0 ]]; then
77 for s in "${candidates[@]}"; do
78 DISPLAY=${s} \
79 ${fbpath}/mozilla-xremote-client "openURL($u, new-$newtype)"
\
80 && break
81 done
82 retval=$?
83 else
84 # simulate mozilla-xremote-client's response when it can't find
an instance
85 retval=2
86 fi
87
88 # 2 = No running windows found, so start a new instance
89 # 3 = Thunderbird is running, but doesn't handle openURL command
90 # (or it might be an unresponsive Firefox)
91 if [[ $retval -eq 2 || $retval -eq 3 ]] ; then
92
93 # Handle case of multiple URLs
94 if [[ ${#urls[@]} > 1 ]]; then
95 ${fbpath}/firefox "${args[@]}" "$u" &
96 if [[ -x /usr/bin/xtoolwait ]]; then
97 xtoolwait sleep 10
98 else
99 sleep 10 # totally arbitrary! :-(
100 fi
101 candidates=$DISPLAY
102 continue
103 fi
104
105 # Handle case of single URL
106 ${fbpath}/firefox "${args[@]}" "$u" &
107 break
108
109 elif [[ $retval -eq 1 ]]; then
110 echo "Unable to connect to X server" >&2
111 elif [[ $retval -ne 0 ]]; then
112 echo "Unknown error $retval from mozilla-xremote-client" >&2
113 fi
114
115 done
116
117 # Will only wait here if firefox was started by this script
118 if ! wait; then
119 retval=$?
120 echo "firefox exited with non-zero status ($?)" >&2
121 fi
122
123 exit $retval
124
125 # vim:expandtab sw=2:
So which line do I have to modify?
Greetings
Bernhard Albers |